/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <glib.h>

#include "interface.h"
#include "callbacks.h"
#include "support.h"
#include "css.h"

GtkWidget *window;

int main (int argc, char *argv[]) {
  GdkColor white, black;
  GIOChannel *stdin_io;

#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
  textdomain (GETTEXT_PACKAGE);
#endif

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");

  /* init css structure */
  main_css = css_init();
  
  /* create main window */
  window = create_window ();
  gtk_widget_show (window);

  /* init font */
  gtk_font_button_set_font_name(GTK_FONT_BUTTON(lookup_widget
			  (window, "fontbutton_text")), "Sans 17");
  
  update_all();
 
  /* inicialize stdin handling */
  stdin_io = g_io_channel_unix_new(0);
  g_io_add_watch(stdin_io, G_IO_IN + G_IO_HUP, on_stdin_data, NULL);

  
  gtk_main ();
  return 0;
}

